## ros-humble-tiago-laser-sensors 4.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tiago_laser_sensors)

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

if(BUILD_TESTING)
  ament_auto_find_test_dependencies()
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(INSTALL_TO_SHARE launch)

=== debian/changelog ===
ros-humble-tiago-laser-sensors (4.0.5-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 16 Jun 2023 00:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.4-1jammy) jammy; urgency=high

  * Update package.xml version
  * Merge branch 'laser_migration' into 'humble-devel'
    laser sensors migration
    See merge request robots/tiago_navigation!80
  * Apply 1 suggestion(s) to 1 file(s)
  * updated copyright
  * Apply 2 suggestion(s) to 1 file(s)
  * typo and using launch_pal
  * laser sensors migration
  * Contributors: Noel Jimenez, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 05 Apr 2023 00:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 03 Apr 2023 00:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Dec 2022 00:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 29 Nov 2022 00:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.0-1jammy) jammy; urgency=high

  * First version of foxy-devel tiago_2dnav
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 08 Nov 2022 00:00:00 -0000

ros-humble-tiago-laser-sensors (2.0.6-1jammy) jammy; urgency=high

  * Updated Changelog
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-tiago-laser-sensors (2.0.5-1jammy) jammy; urgency=high

  * changelog
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 14 May 2020 21:41:00 -0000

ros-humble-tiago-laser-sensors (2.0.4-1jammy) jammy; urgency=high

  * changelog
  * Merge branch 'nav-valid' into 'erbium-devel'
    shortened rgbd scan FOV
    See merge request robots/tiago_navigation!54
  * shortened rgbd scan FOV
  * Contributors: Procópio Stein, procopiostein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 14 May 2020 12:02:00 -0000

ros-humble-tiago-laser-sensors (2.0.3-1jammy) jammy; urgency=high

  * changelog
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Sep 2019 00:00:00 -0000

ros-humble-tiago-laser-sensors (2.0.2-1jammy) jammy; urgency=high

  * Update Changelog
  * Contributors: Federico Nardi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 18 Sep 2019 00:00:00 -0000

ros-humble-tiago-laser-sensors (2.0.1-1jammy) jammy; urgency=high

  * Update changelog
  * Merge branch 'velodyne' into 'erbium-devel'
    added launch file for velodyne laser
    See merge request robots/tiago_navigation!50
  * added launch file for velodyne laser
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 12 Sep 2019 00:00:00 -0000

ros-humble-tiago-laser-sensors (2.0.0-1jammy) jammy; urgency=high

  * changelog
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jun 2019 00:00:00 -0000

ros-humble-tiago-laser-sensors (1.0.7-1jammy) jammy; urgency=high

  * changelog
  * Merge branch 'fix-tf2-compatibility' into 'erbium-devel'
    tf2 compliance
    See merge request robots/tiago_navigation!47
  * tf2 compliance
  * Revert "tf2 compliance"
    This reverts commit 5c55400ac1c41562a7bc5b5b6089fdca290987f6.
  * tf2 compliance
  * Contributors: Procópio Stein, artivis

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 22 Mar 2019 00:00:00 -0000

ros-humble-tiago-laser-sensors (1.0.6-1jammy) jammy; urgency=high

  * Update changelog
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 15 Mar 2019 00:00:00 -0000

ros-humble-tiago-laser-sensors (1.0.5-1jammy) jammy; urgency=high

  * changelog
  * Merge branch 'update-laser-conf' into 'erbium-devel'
    Update laser conf
    See merge request robots/tiago_navigation!44
  * reduced laser FOV
  * removed rplidar
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 13 Feb 2019 00:00:00 -0000

ros-humble-tiago-laser-sensors (1.0.4-1jammy) jammy; urgency=high

  * Update changelog
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 05 Feb 2019 00:00:00 -0000

ros-humble-tiago-laser-sensors (1.0.3-1jammy) jammy; urgency=high

  * Update changelog
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 24 Jan 2019 00:00:00 -0000

ros-humble-tiago-laser-sensors (1.0.2-1jammy) jammy; urgency=high

  * Update changelog
  * rgbd is started on it's own
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 21 Dec 2018 00:00:00 -0000

ros-humble-tiago-laser-sensors (1.0.1-1jammy) jammy; urgency=high

  * Update changelog
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 20 Dec 2018 00:00:00 -0000

ros-humble-tiago-laser-sensors (1.0.0-1jammy) jammy; urgency=high

  * Update changelog
  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Specifics refactor
    See merge request robots/tiago_navigation!42
  * Add rgbd cloud
  * Expand filter parameters for each laser
  * Rename laser sensors to the new standard
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-humble-tiago-laser-sensors (0.12.11-1jammy) jammy; urgency=high

  * changelog
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 26 Oct 2018 00:00:00 -0000

ros-humble-tiago-laser-sensors (0.12.10-1jammy) jammy; urgency=high

  * changelog
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Sep 2018 00:00:00 -0000



=== debian/control ===
Source: ros-humble-tiago-laser-sensors
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tiago-laser-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-pmb2-laser-sensors, ros-humble-ros-workspace
Description: Launch files and scripts needed to bring up the ROS nodes of a TIAGo robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-laser-sensors//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-tiago-laser-sensors 4.1.7

=== debian/changelog ===
ros-humble-tiago-laser-sensors (4.1.7-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 18 Jul 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.1.6-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 16 Jul 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.1.5-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/aca/pipeline-substitution' into 'humble-devel'
    using variables for pipeline
    See merge request robots/tiago_navigation!105
  * naming convention
  * using variables laser pipeline tiago omni
  * using variables for pipeline
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 14 Jul 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.1.4-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Jul 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.1.3-1bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.1.2-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/changed-base-type-name' into 'humble-devel'
    changed diff_drive to pmb2
    See merge request robots/tiago_navigation!110
  * fixed laser pipeline name
  * changed diff_drive to pmb2
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 04 Jul 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.1.1-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.1.0-1bookworm) bookworm; urgency=high

  * Merge branch 'feature/support-different-base-types' into 'humble-devel'
    feat: support different base types
    See merge request robots/tiago_navigation!102
  * added laser filters
  * feat: support base_type on real robot
  * feat: support base_type in simulation
  * Contributors: antoniobrandi, josegarcia

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 25 Jun 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.18-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.17-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jun 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.16-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.15-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/aca/missing-deps' into 'humble-devel'
    fix deps
    See merge request robots/tiago_navigation!100
  * fix deps
  * Contributors: andreacapodacqua, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 07 May 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.14-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 28 Apr 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.13-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/ros2-pipelines' into 'humble-devel'
    Feat/ros2 pipelines
    See merge request robots/tiago_navigation!98
  * using variables lifecycle manager
  * using new variables names
  * using variables
  * using variables for laser pipelines
  * update public sim launch and renamed params
  * modified params laser pipeline
  * navigation pipelines
  * navigation pipeline
  * added modules and pipelines
  * Contributors: andreacapodacqua, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 22 Apr 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.12-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Feb 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.11-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.10-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Feb 2024 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.9-1bookworm) bookworm; urgency=high

  * Bump module names
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.8-1bookworm) bookworm; urgency=high

  * Add website tag
  * Rename laser module
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.7-1bookworm) bookworm; urgency=high

  * Specify laser model
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Nov 2023 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.6-1bookworm) bookworm; urgency=high

  * Merge branch 'add_modules' into 'humble-devel'
    Adding laser module
    See merge request robots/tiago_navigation!88
  * Adding laser module
    Conditioned to pal distros only
  * Contributors: Jordan Palacios

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 17 Sep 2023 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.5-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jun 2023 16:00:00 -0000

ros-humble-tiago-laser-sensors (4.0.4-1bookworm) bookworm; urgency=high

  * Update package.xml version
  * Merge branch 'laser_migration' into 'humble-devel'
    laser sensors migration
    See merge request robots/tiago_navigation!80
  * Apply 1 suggestion(s) to 1 file(s)
  * updated copyright
  * Apply 2 suggestion(s) to 1 file(s)
  * typo and using launch_pal
  * laser sensors migration


=== debian/control ===
Source: ros-humble-tiago-laser-sensors
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: https://github.com/pal-robotics/tiago_simulation
Standards-Version: 3.9.2

Package: ros-humble-tiago-laser-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ros-workspace
Description: Launch files and scripts needed to bring up the ROS nodes of a TIAGo robot.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-laser-sensors//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-laser-sensors//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tiago-laser-sensors//opt/ros/humble/opt/tiago_laser_sensors/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
